# Changelog

The aggregator contract needs to be upgraded to the latest version. In this new version, we have not only upgraded the dependent CLMM contract but also integrated several non-dex liquidity paths. The latest npm packge version is **v1.5.5** More details can refer to [Cetus Aggregator](https://cetus-1.gitbook.io/cetus-developer-docs/developer/cetus-aggregator).

## aggregator-sdk v1.5.5

*Date: 2026.5.20*

* Supporting the liquidity path of MAGMA PRO PAMM.
* Change to Sui gRPC client(sui-v2.16.3).

***

## aggregator-sdk v1.5.2

*Date: 2026.4.23*

* Supporting the liquidity path of BOLT.
* Change back to JSON-RPC client (waiting for gRPC to stablize on Sui).

***

## aggregator-sdk v1.4.8

*Date: 2026.4.2*

* Fixed: propagate cetusDlmmPartner from constructor to swap execution.

***

## aggregator-sdk v1.4.7

*Date: 2026.4.1*

* Migrate to SuiGrpcClient with @mysten/sui ^2.13.2, add built-in Pyth adapter, and deprecate SevenK integration.

***

## aggregator-sdk v1.4.6

*Date: 2026.3.18*

* Upgraded sui sdk to v2.6.0.

***

## aggregator-sdk v1.4.5

*Date: 2026.2.3*

* Fixed map API error code 5010 to NotFoundRoute for insufficient liquidity scenarios.

***

## aggregator-sdk v1.4.4

*Date: 2026.2.2*

* Upgraded DeepBookV3 router contract to fix immutable reference bug in `add_deep_price_point` parameter passing.

***

## aggregator-sdk v1.4.3

*Date: 2026.1.5*

* Support updating DEEP price in DeepBookV3 when using DEEP as fee.

***

## aggregator-sdk v1.4.2

*Date: 2025.10.28*

* Update CETUS CLMM contract address on Testnet

***

## aggregator-sdk v1.4.1

*Date: 2025.10.20*

* Add a `routerSwapWithMaxAmountIn` method with input amount cap validation supported.
* **Key difference with existing method:** `routerSwap` method will completely consume the input coin amount; `routerSwapWithMaxAmountIn` comes with a maxAmountIn input and the final executed amount won't exceed this cap

***

## aggregator-sdk v1.4.0

*Date: 2025.10.17*

* Supporting the liquidity path of FERRA CLMM.

***

## aggregator-sdk v1.3.0

*Date: 2025.10.16*

* Supporting the liquidity path of FERRA DLMM.

***

## aggregator-sdk v1.2.1

*Date: 2025.9.15*

* Supporting the liquidity path of CETUS DLMM.

***

## aggregator-sdk v1.2.0

*Date: 2025.9.15*

* Update the default Cetus Router package IDs during downgrading swaps.
* Optimized swap execution.

***

## aggregator-sdk v1.1.6

*Date: 2025.9.9*

* Restructure package.json
* Adapt to recent package upgrades of external liquidity sources&#x20;

***

## aggregator-sdk v1.1.5

*Date: 2025.9.4*

* Update the default Aggregator v3 and Cetus Router package IDs during downgrading swaps.

***

## aggregator-sdk v1.1.4

*Date: 2025.9.1*

* Fix the display of deviationRatio parameter in response.

***

## aggregator-sdk v1.1.2

*Date: 2025.8.29*

* Update data type export rules.

***

## aggregator-sdk v1.1.1

*Date: 2025.8.25*

* Upgrade to Aggregator V3 service
* Adapt to the latest aggregator contract version.
* Optimizes returned path structure by merging duplicate pools for reduced gas consumption.

***

## aggregator-sdk v0.16.0

*Date: 2025.8.14*

* Supporting the liquidity path of fullsail.

***

## aggregator-sdk v0.15.0

*Date: 2025.8.12*

* Optimize swap construction related to steamm.
* Optimize  liquidity path of haedalhmm.&#x20;
* Upgrade the contract versions of  Momentum dependencies.

***

## aggregator-sdk v0.14.2

*Date: 2025.7.6*

* Supporting deviationRatio in findRoute response.&#x20;

***

## aggregator-sdk v0.14.0

*Date: 2025.7.1*

* Supporting the liquidity path of 7k spot.

***

## aggregator-sdk v0.13.0

*Date: 2025.6.24*

* Supporting the liquidity path of magma.

***

## aggregator-sdk v0.12.0

*Date: 2025.6.08*

* Update default contracts address.

***

## aggregator-sdk v0.11.1

*Date: 2025.5.30*

* Provide advanced methods for selecting providers.

***

## aggregator-sdk v0.11.0

*Date: 2025.5.29*

* Upgrade the contract versions of Bluefin, FlowXv3, KryiaV3, and Momentum dependencies.

***

## aggregator-sdk v0.10.0

*Date: 2025.5.12*

* Supporting the liquidity path of steamm omm v2.

***

## aggregator-sdk v0.9.1

*Date: 2025.5.12*

* Optimize by amount out swap.

***

## aggregator-sdk v0.9.0

*Date: 2025.5.9*

* Upgrade volo contract version.

***

## aggregator-sdk v0.8.0

*Date: 2025.4.21*

* Supporting the liquidity path of momentum.
* Optimize the gas usage of the Steamm CPMM.

***

## aggregator-sdk v0.7.0

*Date: 2025.4.18*

* Supporting the liquidity path of Steamm OMM.

***

## aggregator-sdk v0.6.0

*Date: 2025.4.9*

* Upgrade the fee sponsoring mechanism for deepbookv3.

***

## aggregator-sdk v0.5.0

*Date: 2025.4.1*

* Supporting the hawal in Haedal LSD.
* Added support for Overlay Fee.

***

## aggregator-sdk v0.4.4

*Date: 2025.3.25*

* Optimized the coin construction method for scenarios where users have a large number of coin objects.

***

## aggregator-sdk v0.4.3

* Allow custom Pyth node URLs, aggregator endpoints, and API keys when initializing the aggregator client.

***

## aggregator-sdk v0.4.0

* Supporting the liquidity path of obric.

***

## aggregator-sdk v0.3.32

* The SCALLOP contract enforces an upgrade(version 16), which corresponds to an upgrade of the aggregator contract.

***

## aggregator-sdk v0.3.30

* Supporting the liquidity path of Metastable.

***

## aggregator-sdk v0.3.28

* Optimize build steamm swap.
* Support version control.

***

## aggregator-sdk v0.3.27

* Updates the project's ES Module entry file extension from `.js` to `.mjs` for explicit module declaration, better Node.js compatibility.

***

## aggregator-sdk v0.3.26

* Supporting the liquidity path of STEAMM.

***

## aggregator-sdk v0.3.23

* Upgrade aggregator contract to package verison 8 (Depend on the CLMM contract verison 10 )

***

## aggregator-sdk v0.3.22

* Optimize build haedalhmm swap, reduce gas used.

***

## aggregator-sdk v0.3.21

* Supporting Haedal instant unstake

***

## aggregator-sdk v0.3.19

* Supporting ecosystem LSTs from SpringSui.
* Adding the liquidity path of stSUI stake and redeem.
* Adapting to Bluefin package change
* Supporting dynamic package update

***

## aggregator-sdk v0.3.16

* Supporting the liquidity path of Haedal HMM

***

## aggregator-sdk v0.3.12

* Optimize swap info display when aggregator service is experiencing downgrade swap.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/cetus-aggregator/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
